All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
PRemoteConnection::Configuration Struct Reference

Structure for a RAS configuration. More...

`#include <remconn.h>`

## Public Attributes

PString | device
| Device name for connection eg /dev/modem. More...
PString | phoneNumber
| Telephone number to call to make the connection. More...
PString | ipAddress
| IP address of local machine after connection is made. More...
PString | dnsAddress
| DNS host on remote site. More...
PString | script
| Script name for doing remote log in. More...
PINDEX | subEntries
| Sub-entry number when Multi-link PPP is used. More...
PBoolean | dialAllSubEntries
| Always establish maximum bandwidth when Multi-link PPP is used. More...

## Detailed Description

Structure for a RAS configuration.

## Member Data Documentation

PString PRemoteConnection::Configuration::device

Device name for connection eg /dev/modem.

PBoolean PRemoteConnection::Configuration::dialAllSubEntries

Always establish maximum bandwidth when Multi-link PPP is used.

PString PRemoteConnection::Configuration::dnsAddress

DNS host on remote site.

PString PRemoteConnection::Configuration::ipAddress

IP address of local machine after connection is made.

PString PRemoteConnection::Configuration::phoneNumber

Telephone number to call to make the connection.

PString PRemoteConnection::Configuration::script

Script name for doing remote log in.

PINDEX PRemoteConnection::Configuration::subEntries

Sub-entry number when Multi-link PPP is used.

The documentation for this struct was generated from the following file:

- remconn.h